{
    num: -32116,
    accuracy: 100,
    basePower: 80,
    category: "Special",
    name: "Rain Bloom",
    pp: 10,
    priority: 0,
    flags: { protect: 1, mirror: 1, metronome: 1 },
    onBasePower(basePower) {
      if (this.field.isWeather(["raindance", "primordialsea"])) {
        return this.chainModify(1.5);
      }
    },
    onModifyMove(move, pokemon, source) {
      if (this.field.isWeather(["raindance", "primordialsea"])) {
        move.drain = [1, 2];
      }
    },
    secondary: null,
    target: "normal",
    type: "Grass",
    contestType: "Beautiful"
}